Package tigase.auth.mechanisms

# Class AbstractSasl

java.lang.Object
tigase.auth.mechanisms.AbstractSasl

All Implemented Interfaces:
  `SaslServer`

Direct Known Subclasses:
  `AbstractSaslSCRAM`, `SaslANONYMOUS`, `SaslEXTERNAL`, `SaslPLAIN`, `SaslXTOKEN`

public abstract class AbstractSasl extends Object implements SaslServer

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `authorizedId`
  `protected final CallbackHandler`
  `callbackHandler`
  `protected boolean`
  `complete`
  `protected final Logger`
  `log`
  `protected final Map<String,Object>`
  `negotiatedProperty`
  `static String`
  `PASSWORD_NOT_VERIFIED_MSG`
  `protected final Map<? super String,?>`
  `props`
  `static final String`
  `SASL_STRICT_MODE_KEY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractSasl(Map<? super String,?> props, CallbackHandler callbackHandler)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  `Object`
  `getNegotiatedProperty(String propName)`
  `protected void`
  `handleCallbacks(Callback... callbacks)`
  `static boolean`
  `isAuthzIDIgnored()`
  `boolean`
  `isComplete()`
  `protected static final boolean`
  `isEmpty(Object x)`
  `protected String[]`
  `split(byte[] byteArray, String defaultValue)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.security.sasl.SaslServer

  `evaluateResponse, getAuthorizationID, getMechanismName, unwrap, wrap`

- ## Field Details

  - ### SASL_STRICT_MODE_KEY

    public static final String SASL_STRICT_MODE_KEY
    See Also:
      - Constant Field Values

  - ### PASSWORD_NOT_VERIFIED_MSG

    public static String PASSWORD_NOT_VERIFIED_MSG

  - ### callbackHandler

    protected final CallbackHandler callbackHandler

  - ### log

    protected final Logger log

  - ### negotiatedProperty

    protected final Map<String,Object> negotiatedProperty

  - ### props

    protected final Map<? super String,?> props

  - ### authorizedId

    protected String authorizedId

  - ### complete

    protected boolean complete

- ## Constructor Details

  - ### AbstractSasl

    protected AbstractSasl(Map<? super String,?> props, CallbackHandler callbackHandler)

- ## Method Details

  - ### isAuthzIDIgnored

    public static boolean isAuthzIDIgnored()

  - ### isEmpty

    protected static final boolean isEmpty(Object x)

  - ### dispose

    public void dispose()
    Specified by:
      `dispose` in interface `SaslServer`

  - ### getNegotiatedProperty

    public Object getNegotiatedProperty(String propName)
    Specified by:
      `getNegotiatedProperty` in interface `SaslServer`

  - ### handleCallbacks

    protected void handleCallbacks(Callback... callbacks) throws SaslException
    Throws:
      `SaslException`

  - ### isComplete

    public boolean isComplete()
    Specified by:
      `isComplete` in interface `SaslServer`

  - ### split

    protected String[] split(byte[] byteArray, String defaultValue)